Page MenuHomePhabricator

Organizing the Pywikibot participation to GCI 2018
Closed, ResolvedPublic

Description

Last year's edition was very interesting for PWB, several patches were proposed by participants then merged.
Nevertheless, the organization was a mess, there was little coordination in the PWB team and the actions were not prepared upstream.

I create this task in order to communicate with other PWB maintainers.
Do you want PWB to participate in Google-Code-in-2018 ? The contest starts for students October 23rd.
Would you be willing to invest yourself? Find topics, formulate them, answer questions, proofread patches? You don't have to participate in each of these steps, making a part of it is already great.

Maybe it's already the time to list possible tasks. Help would be welcome to add Google-Code-in-2018 in interesting ones :)

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptAug 29 2018, 9:36 PM
D3r1ck01 added a subscriber: D3r1ck01.

@Framawiki, any list of task around Pywikibot to Google-Code-in-2018? I remember importing a few. See here: T203395: (Re)move unused code reported by Vulture. Maybe there are more?

@Framawiki, any list of task around Pywikibot to Google-Code-in-2018? I remember importing a few. See here: T203395: (Re)move unused code reported by Vulture. Maybe there are more?

See tasks in Pywikibot-Documentation. Almost all of them could be nominated and there is also a whole column of pre-defined tasks for GCI ;)

From old GCI seasons I picked T100521, T118423, T119791 and T151438, which I'm interested in mentoring. I will prepare entries for them. Is there anybody interested in mentoring some of these two?

D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Nov 6 2018, 2:00 PM
Aklapper closed this task as Resolved.Dec 12 2018, 7:52 PM

This task has no assignee and that's not good. I assume this is resolved by now as GCI is ending. Please reopen if I'm wrong. Thanks everyone!

Thanks @Aklapper. So this task was mostly done by @Framawiki, @Dvorapa and @D3r1ck01. But I can't leave out @Xqt who did a lot of code review during GCI but wasn't a GCI mentor to be specific. So I'm wondering who will claim this but I assume @Framawiki for bringing up the idea :)